scrub-obsolete Package - libspi-java

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/libspi-java scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index f59f9db..f904941 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+libspi-java (0.2.4-4) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on debhelper.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sun, 13 Jun 2021 19:20:07 -0000
+
 libspi-java (0.2.4-3) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/control b/debian/control
index 205cb5a..906496c 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>,
  tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 11), default-jdk, javahelper
+Build-Depends: debhelper, default-jdk, javahelper
 Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/libspi-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libspi-java
@@ -50,4 +50,3 @@ Description: Documentation for libspi-java
  programmer to create more robust code.
  .
  This package contains the generated API documentation.
-

Run locally

Try this locally (using silver-platter):

debian-svp DEB_UPDATE_CHANGELOG=auto scrub-obsolete libspi-java 

More details

Full run details